# $Revision: 1.23.2.1 $, $Date: 2006/11/21 11:18:53 $
#
# Conditional build:
%bcond_with	ladcca	# enable ladcca sesion managment support
%bcond_with	sse	# use the SSE instructions of Pentium3+ or Athlon XP
#
%ifarch pentium3 pentium4 %{x8664}
%define		with_sse	1
%endif
#
Summary:	FluidSynth is a software, real-time synthesizer
Summary(pl):	FluidSynth to programowy syntezator dziaajcy w czasie rzeczywistym
Name:		fluidsynth
Version:	1.0.6
Release:	3
License:	LGPL
Group:		Applications/Sound
Source0:	http://savannah.nongnu.org/download/fluid/%{name}-%{version}.tar.gz
# Source0-md5:	f18fd54d3f877a547b8455d2b6c7b177
URL:		http://www.fluidsynth.org/
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel
%{?with_ladcca:BuildRequires:	ladcca-devel >= 0.3.1}
%{?with_ladcca:BuildRequires:	ladcca-devel < 0.4.0}
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	alsa-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fluid Synth is a software, real-time synthesizer based on the
Soundfont 2 specifications.

%description -l pl
Fluid Synth to programowy, dziaajcy w czasie rzeczywistym syntezator
oparty na specyfikacji Soundfont 2.

%package devel
Summary:	Development files for the FluidSynth
Summary(pl):	Pliki nagwkowe dla FluidSynth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files necessary to develop
applications using FluidSynth.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe potrzebne do tworzenia i
kompilacji aplikacji korzystajcych z bibliotek FluidSynth.

%package static
Summary:	Static FluidSynth library
Summary(pl):	Statyczna wersje biblioteki FluidSynth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of the FluidSynth library.

%description static -l pl
Ten pakiet zawiera bibliotek statyczn FluidSynth.

%prep
%setup -q

%build
cp /usr/share/automake/config.sub .

%configure \
	%{!?with_ladcca:--disable-ladcca} \
	%{?with_sse:--enable-SSE} \
	--enable-coreaudio \
	--enable-jack-support \
	--enable-ladspa \
	--enable-midishare \
	--enable-profiling
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib%{name}.so.*.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.la
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_pkgconfigdir}/fluidsynth.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib%{name}.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fluidsynth.spec,v $
Revision 1.23.2.1  2006/11/21 11:18:53  qboosh
- merged fixes from HEAD
- killed ExclusiveArch (obsolete after 1.0.3)
- release 3

Revision 1.23  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.22  2005/06/12 13:19:57  freetz
- 1.0.6, source url updated

Revision 1.21  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.20  2004/12/21 01:16:43  zbyniu
- BR: automake, pkgconfig

Revision 1.19  2004/11/05 20:21:12  ankry
- EA, rel. 4

Revision 1.18  2004/10/11 11:26:06  pluto
- genreic athlon doesn't have SSE.

Revision 1.17  2004/10/10 10:24:57  pluto
- profiling added.
- use sse by default where applicable.

Revision 1.16  2004/10/10 09:48:18  pluto
- spaces -> tabs
- license fixed.

Revision 1.15  2004/08/31 06:40:52  snurf
- typos / formatting / etc.

Revision 1.14  2004/05/13 02:30:40  adgor
- Refreshing config.sub

Revision 1.13  2004/05/12 17:22:51  freetz
- strict internal deps (tested with gcc 3.4 - safe)

Revision 1.12  2003/11/20 16:24:13  adgor
- Bcond with ladcca
- With ladcca BR: 0.4.0 > ladcca-devel >= 0.3.1 (since 0.4.0 the CCA_Use_Jack
  and CCA_Use_Alsa client flags are removed)
- Release 2

Revision 1.11  2003/11/07 22:22:54  freetz
- BR ladspa-devel

Revision 1.10  2003/10/11 15:30:36  freetz
- up to 1.0.3
- modern style bcond
- cosmetics (inspired by PLD cosmetics crew)

Revision 1.9  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.8  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.7  2003/06/22 10:27:59  freetz
- updated to new version
- removed Source1 (already in sources)

Revision 1.6  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:47:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/11 13:03:57  qboosh
- fixed pl and file lists

Revision 1.3  2003/05/03 23:11:52  luzik
- added missed fluid_sse.h

Revision 1.2  2003/05/03 22:44:11  luzik
- added bcond _with_sse
- added subpackages

Revision 1.1  2003/05/03 00:40:18  luzik
- initial release
